#ifndef QLOPSETTINGSDIALOG_H
#define QLOPSETTINGSDIALOG_H

#include <QDialog>

namespace Ui {
class QLopSettingsDialog;
}
#include <QListWidgetItem>

class QLopSettingsDialog : public QDialog
{
    Q_OBJECT

public:
    explicit QLopSettingsDialog(QWidget *parent = 0);
    ~QLopSettingsDialog();

public slots:
    void changePage(QListWidgetItem *current, QListWidgetItem *previous);
    bool registerConfigEntry(QWidget* configEntry, QIcon icon, QString text);
    void popConfigDialog(QWidget* selectedConfigEntry=0);
protected:
    void changeEvent(QEvent *e);

private:
    Ui::QLopSettingsDialog *ui;
};

#endif // QLOPSETTINGSDIALOG_H
